import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
import { Identifier } from "./Identifier";
export declare class TSQualifiedName extends Expression {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createTSQualifiedName(left?: Expression, right?: Identifier): TSQualifiedName;
    static updateTSQualifiedName(original?: TSQualifiedName, left?: Expression, right?: Identifier): TSQualifiedName;
    get left(): Expression | undefined;
    get right(): Identifier | undefined;
    get name(): string;
    get resolveLeftMostQualifiedName(): TSQualifiedName | undefined;
    protected readonly brandTSQualifiedName: undefined;
}
export declare function isTSQualifiedName(node: object | undefined): node is TSQualifiedName;
